Bug 29224 - RFE: ttmkfdir should add an iso10646-1 encoding
RFE: ttmkfdir should add an iso10646-1 encoding
Product: Red Hat Linux
Classification: Retired
Component: freetype (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-02-24 14:38 EST by Ilya Konstantinov
Modified: 2007-04-18 12:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-01 23:10:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch for ttmkfdir (1.03 KB, application/octet-stream)
2001-02-24 14:40 EST, Ilya Konstantinov
no flags Details

  None (edit)
Description Ilya Konstantinov 2001-02-24 14:38:35 EST
ttmkfdir should add an iso10646-1 encoding for all MS UNICODE TrueType 
fonts regardless of the additional charsets found in them via heuristics. 
This is useful for KDE 2 and UTF-8'ed xterm.

Attached is a simple patch to do just that (and fix a small spelling 
mistake --- sorry, couldn't resist :). I tried sending it to the author, 
but he didn't reply to me yet.
Comment 1 Ilya Konstantinov 2001-02-24 14:40:23 EST
Created attachment 10960 [details]
Patch for ttmkfdir
Comment 2 Mike A. Harris 2001-02-25 08:41:22 EST
I will consider this feature at some point in the future.
Comment 3 Mike A. Harris 2001-06-12 16:42:52 EDT
XFree86 4.1.0 by default includes ISO10646-1 font encodings which are
used to generate the ISO8859-* encoded fonts via ucs2any.pl

I'm not sure what your patch does differently that X doesn't already do now,
other than correct the horrible spelling errors that is. ;o)

I'll add the spelling error fixes though.
Comment 4 Mike A. Harris 2001-06-12 17:02:23 EDT
Whoopsie...  I just checked our freetype package and ttmkfdir is written
in C++, not C.  Your patch must be for an older version of ttmkfdir.
Comment 5 Ilya Konstantinov 2001-06-13 09:12:56 EDT
I'm not sure about XFree86 4.1, but XFree86 4.0 (atleast with the FreeType
module) derives the available encodings for a font solely from the fonts.dir
file. It won't offer an iso10646-1 encoding (regardless of the font internals
hinting it's a Unicode font) unless it is in the fonts.dir.

ttmkfdir does a terrific job at figuring out which encodings the font has. It
takes a Unicode TrueType font, and for each language, checks whether it has
enough existing glyphs in the language's Unicode range. Unfortunately, it
forgets to add the basic 'iso10646-1' encoding, which XDrawString16 uses to draw
multilingual text in UCS2-BE encoding.
Comment 6 Mike A. Harris 2001-06-13 12:42:58 EDT
Ok, but what I'm saying is that your patch is patching some files that
are written in C, but ttmkfdir is written in C++ and is part of our
freetype package.

Someone will have to look at this again...
Comment 7 Mike A. Harris 2001-06-30 06:08:04 EDT
Deferring for consideration for future release of Red Hat Linux
Comment 8 Mike A. Harris 2002-04-01 13:25:32 EST
yshao: can you look at this and comment on if this request has
been already implemented?

Comment 9 Yu Shao 2002-04-01 18:41:44 EST
Mike,already implemented, you can close this one.

Note You need to log in before you can comment on or make changes to this bug.